CSIT-531: Performance jobs reorganization, part 1 56/6256/2
authorTibor Frank <tifrank@cisco.com>
Wed, 19 Apr 2017 08:51:47 +0000 (10:51 +0200)
committerTibor Frank <tifrank@cisco.com>
Wed, 19 Apr 2017 13:37:23 +0000 (15:37 +0200)
Add:
 - csit-vpp-perf-trend-daily
 - csit-vpp-perf-trend-semiweekly
 - csit-vpp-perf-check
 - csit-vpp-perf-ndrchk-daily

Change-Id: Ie7ab8a754e7fed2efdd5496c44a4fde454711d1c
Signed-off-by: Tibor Frank <tifrank@cisco.com>
jjb/csit/csit.yaml
jjb/csit/include-raw-csit-vpp-perf-check.sh [new file with mode: 0644]
jjb/csit/include-raw-csit-vpp-perf-ndrchk-daily.sh [new file with mode: 0644]
jjb/csit/include-raw-csit-vpp-perf-trend-daily.sh [new file with mode: 0644]
jjb/csit/include-raw-csit-vpp-perf-trend-semi-weekly.sh [new file with mode: 0644]

index 042c2ff..1c75d6a 100644 (file)
         - 'csit-docs-merge-{stream_timed}'
         - 'csit-docs-verify-{stream}'
         - 'csit-report-merge-{stream}'
+        - 'csit-vpp-perf-trend-daily-{stream}'
+        - 'csit-vpp-perf-trend-semi-weekly-{stream}'
+        - 'csit-vpp-perf-check-{stream}'
+        - 'csit-vpp-perf-ndrchk-daily-{stream}'
 
     project: 'csit'
     branch: 'master'
         - fdio-infra-shiplogs:
             maven-version: 'mvn33-new'
 
+- job-template:
+    name: 'csit-vpp-perf-trend-daily-{stream}'
+
+    description: |
+      Purpose of this job is to validate latest vpp build from corresponding
+      branch stored in nexus against verified CSIT codebase of corresponding
+      branch.
+
+      objective
+          daily perf trending of vpp master build
+      job
+         name
+             csit-vpp-perf-trend-daily
+         trigger
+             scheduled daily
+      perf test-cases selection
+          all CSIT perf suites
+      default tags for vpp startup config and perf test type
+          1T1C - one worker thread, one core
+          2T2C - two worker threads, two cores
+          X520 - Intel x520-DA2 NIC
+          NDRDISC - discovery of NDR throughput
+      results
+          jjb verify - no
+          present
+              jenkins trending graphs
+
+    project-type: freestyle
+    node: 'ubuntu1604-basebuild-4c-4g'
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    wrappers:
+      - fdio-infra-wrappers-non-activity-timeout:
+          build-timeout: '1440'
+
+    triggers:
+        - timed: 'H H(20-23) * * *'
+
+    builders:
+        - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
+        - inject:
+            properties-file: variables.prop
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-trend-daily.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit/archive'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
+        - plot:
+            - title: '64B-1t1c-eth-l2*-ndrdisc'
+              group: 'RFC2544: Xconnect and Bridge Domain'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-l2-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "BASE") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "L2BDMACSTAT") or contains(@tags, "L2BDMACLRN") or contains(@tags, "L2XCFWD"))]'
+            - title: '64B-2t2c-eth-l2*-ndrdisc'
+              group: 'RFC2544: Xconnect and Bridge Domain'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-l2-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "BASE") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "L2BDMACSTAT") or contains(@tags, "L2BDMACLRN") or contains(@tags, "L2XCFWD"))]'
+
+            - title: '64B-1t1c-ethip4-ip4*-ndrdisc'
+              group: 'RFC2544: IPv4 base, scale, feature'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-ipv4-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and (contains(@tags, "BASE") or contains(@tags, "SCALE") or contains(@tags, "FEATURE")) and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IP4FWD")]'
+            - title: '64B-2t2c-ethip4-ip4*-ndrdisc'
+              group: 'RFC2544: IPv4 base, scale, feature'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-ipv4-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and (contains(@tags, "BASE") or contains(@tags, "SCALE") or contains(@tags, "FEATURE")) and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IP4FWD")]'
+
+            - title: '78B-1t1c-ethip6-ip6*-ndrdisc'
+              group: 'RFC2544: IPv6 base, scale, feature'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-ipv6-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and (contains(@tags, "BASE") or contains(@tags, "SCALE") or contains(@tags, "FEATURE")) and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IP6FWD")]'
+            - title: '78B-2t2c-ethip6-ip6*-ndrdisc'
+              group: 'RFC2544: IPv6 base, scale, feature'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-ipv6-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and (contains(@tags, "BASE") or contains(@tags, "SCALE") or contains(@tags, "FEATURE")) and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IP6FWD")]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels - LISP, VXLAN, GPE, GRE'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels - LISP, VXLAN, GPE, GRE'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels - LISP, VXLAN, GPE, GRE'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels - LISP, VXLAN, GPE, GRE'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE"))]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Crypto in software: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-crypto-sw-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP4FWD") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Crypto in software: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-crypto-sw-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP4FWD") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Crypto in software: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-crypto-sw-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP6FWD") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Crypto in software: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-crypto-sw-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP6FWD") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Crypto in hardware: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-crypto-hw-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP4FWD") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Crypto in hardware: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-crypto-hw-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP4FWD") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Crypto in hardware: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-crypto-hw-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP6FWD") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Crypto in hardware: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-crypto-hw-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP6FWD") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in software'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-crypto-sw-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in software'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-crypto-sw-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in software'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-crypto-sw-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in software'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-crypto-sw-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in hardware'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-crypto-hw-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in hardware'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-crypto-hw-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in hardware'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-crypto-hw-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in hardware'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-encap-crypto-hw-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+
+            - title: '64B-1t1c-*-vhost-*-ndrdisc'
+              group: 'RFC2544: vhost-user'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-vhost-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "VHOST") and (contains(@tags, "ETH") or contains(@tags, "DOT1Q") or contains(@tags, "VXLAN"))]'
+            - title: '64B-2t2c-*-vhost-*-ndrdisc'
+              group: 'RFC2544: vhost-user'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-vpp-perf-trend-daily-{stream}-vhost-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "VHOST") and (contains(@tags, "ETH") or contains(@tags, "DOT1Q") or contains(@tags, "VXLAN"))]'
+
+- job-template:
+    name: 'csit-vpp-perf-trend-semi-weekly-{stream}'
+
+    description: |
+      Purpose of this job is to validate latest vpp build from corresponding
+      branch stored in nexus against verified CSIT codebase of corresponding
+      branch.
+
+      consumer
+          csit-dev trending semi-weekly
+      objective
+          semi-weekly perf trending of vpp master build job
+          name
+              csit-vpp-perf-trend-semi-weekly
+          trigger
+              scheduled semi-weekly
+      perf test-cases selection
+          all CSIT perf suites
+      default tags for vpp startup config and perf test type
+          1T1C - one worker thread, one core
+          2T2C - two worker threads, two cores
+          X710 - Intel x710 Fortville NIC
+          XL710 - Intel xl710 Fortville NIC
+          NDRDISC - discovery of NDR throughput
+      results
+          jjb verify - no
+          present
+              jenkins trending graphs
+
+    project-type: freestyle
+    node: 'ubuntu1604-basebuild-4c-4g'
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    wrappers:
+      - fdio-infra-wrappers-non-activity-timeout:
+          build-timeout: '1440'
+
+    triggers:
+        - timed: 'H H(20-23) * * 2,6'
+
+    builders:
+        - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
+        - inject:
+            properties-file: variables.prop
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-trend-semi-weekly.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit/archive'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
+        - plot:
+            - title: '64B-1t1c-eth-l2*-ndrdisc'
+              group: 'RFC2544: Xconnect and Bridge Domain'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-l2-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "BASE") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "L2BDMACSTAT") or contains(@tags, "L2BDMACLRN") or contains(@tags, "L2XCFWD"))]'
+            - title: '64B-2t2c-eth-l2*-ndrdisc'
+              group: 'RFC2544: Xconnect and Bridge Domain'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-l2-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "BASE") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "L2BDMACSTAT") or contains(@tags, "L2BDMACLRN") or contains(@tags, "L2XCFWD"))]'
+
+            - title: '64B-1t1c-ethip4-ip4*-ndrdisc'
+              group: 'RFC2544: IPv4 base, scale, feature'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-ipv4-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and (contains(@tags, "BASE") or contains(@tags, "SCALE") or contains(@tags, "FEATURE")) and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IP4FWD")]'
+            - title: '64B-2t2c-ethip4-ip4*-ndrdisc'
+              group: 'RFC2544: IPv4 base, scale, feature'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-ipv4-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and (contains(@tags, "BASE") or contains(@tags, "SCALE") or contains(@tags, "FEATURE")) and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IP4FWD")]'
+
+            - title: '78B-1t1c-ethip6-ip6*-ndrdisc'
+              group: 'RFC2544: IPv6 base, scale, feature'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-ipv6-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and (contains(@tags, "BASE") or contains(@tags, "SCALE") or contains(@tags, "FEATURE")) and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IP6FWD")]'
+            - title: '78B-2t2c-ethip6-ip6*-ndrdisc'
+              group: 'RFC2544: IPv6 base, scale, feature'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-ipv6-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and (contains(@tags, "BASE") or contains(@tags, "SCALE") or contains(@tags, "FEATURE")) and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IP6FWD")]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels - LISP, VXLAN, GPE, GRE'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels - LISP, VXLAN, GPE, GRE'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels - LISP, VXLAN, GPE, GRE'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels - LISP, VXLAN, GPE, GRE'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE"))]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Crypto in software: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-crypto-sw-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP4FWD") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Crypto in software: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-crypto-sw-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP4FWD") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Crypto in software: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-crypto-sw-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP6FWD") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Crypto in software: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-crypto-sw-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP6FWD") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Crypto in hardware: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-crypto-hw-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP4FWD") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Crypto in hardware: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-crypto-hw-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP4FWD") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Crypto in hardware: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-crypto-hw-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP6FWD") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Crypto in hardware: IP4FWD, IP6FWD'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-crypto-hw-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "IP6FWD") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in software'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-crypto-sw-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in software'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-crypto-sw-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in software'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-crypto-sw-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in software'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-crypto-sw-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECSW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+
+            - title: '64B-1t1c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in hardware'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-crypto-hw-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '64B-2t2c-ethip4*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in hardware'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-crypto-hw-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-1t1c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in hardware'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-crypto-hw-3.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+            - title: '78B-2t2c-ethip6*-ndrdisc'
+              group: 'RFC2544: Overlay tunnels with crypto in hardware'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-encap-crypto-hw-4.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="78B" and not(contains(@tags, "VHOST")) and contains(@tags, "ENCAP") and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and (contains(@tags, "VXLAN") or contains(@tags, "VXLANGPE") or contains(@tags, "LISP") or contains(@tags, "LISPGPE") or contains(@tags, "GRE")) and contains(@tags, "IPSECHW") and (contains(@tags, "IPSECTRAN") or contains(@tags, "IPSECTUN"))]'
+
+            - title: '64B-1t1c-*-vhost-*-ndrdisc'
+              group: 'RFC2544: vhost-user'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-vhost-1.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "VHOST") and (contains(@tags, "ETH") or contains(@tags, "DOT1Q") or contains(@tags, "VXLAN"))]'
+            - title: '64B-2t2c-*-vhost-*-ndrdisc'
+              group: 'RFC2544: vhost-user'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-vhost-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "VHOST") and (contains(@tags, "ETH") or contains(@tags, "DOT1Q") or contains(@tags, "VXLAN"))]'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and contains(@tags, "NDRDISC") and contains(@tags, "1T1C") and contains(@tags, "VHOST") and (contains(@tags, "ETH") or contains(@tags, "DOT1Q") or contains(@tags, "VXLAN"))]'
+            - title: '64B-2t2c-*-vhost-*-ndrdisc'
+              group: 'RFC2544: vhost-user'
+              yaxis: 'Packets Per Second'
+              num-builds: '20'
+              keep-records: True
+              csv-file-name: 'csit-dev-trending-semi-weekly-{stream}-vhost-2.csv'
+              series:
+                  - file: 'output_perf_data.xml'
+                    format: xml
+                    xpath-type: 'nodeset'
+                    xpath: '//*[@framesize="64B" and contains(@tags, "NDRDISC") and contains(@tags, "2T2C") and contains(@tags, "VHOST") and (contains(@tags, "ETH") or contains(@tags, "DOT1Q") or contains(@tags, "VXLAN"))]'
+
+- job-template:
+    name: 'csit-vpp-perf-check-{stream}'
+
+    description: |
+      consumer
+          csit-dev perf code base checks
+      objective
+          check csit perf code base
+      job
+          name
+              csit-vpp-perf-check
+          trigger
+              see below
+      perf test-cases selection
+          all CSIT perf suites
+      keywords
+          format - keyword, tag_list
+              verify-perf-ndrdisc, NDRDISC
+              verify-perf-pdrdisc, PDRDISC
+              verify-perf-ndrchk, NDRCHK
+      default tags for vpp startup config and perf test type
+          1T1C
+              one worker thread, one core
+          2T2C
+              two worker threads, two cores
+      results
+          jjb verify
+              PASS/FAIL
+          present
+              no
+          analyse
+              csit project
+                  catch malfunctions
+                  catch degradations
+
+    project-type: freestyle
+    node: 'ubuntu1604-basebuild-4c-4g'
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    scm:
+        - gerrit-trigger-scm:
+            credentials-id: 'jenkins-gerrit-credentials'
+            refspec: '$GERRIT_REFSPEC'
+            choosing-strategy: 'gerrit'
+
+    wrappers:
+      - fdio-infra-wrappers-non-activity-timeout:
+          build-timeout: '1440'
+
+    triggers:
+        - gerrit:
+            server-name: 'Primary'
+            trigger-on:
+                - comment-added-contains-event:
+                    comment-contains-value: 'verify-perf-ndrdisc'
+                - comment-added-contains-event:
+                    comment-contains-value: 'verify-perf-pdrdisc'
+                - comment-added-contains-event:
+                    comment-contains-value: 'verify-perf-ndrchk'
+            projects:
+              - project-compare-type: 'ANT'
+                project-pattern: '{project}'
+                branches:
+                  - branch-compare-type: 'ANT'
+                    branch-pattern: '**/{branch}'
+            skip-vote:
+                successful: false
+                failed: false
+                unstable: false
+                notbuilt: false
+
+    builders:
+        - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
+        - inject:
+            properties-file: variables.prop
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-check.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit/archive'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
+- job-template:
+    name: 'csit-vpp-perf-ndrchk-daily-{stream}'
+
+    description: |
+      objective
+          check vpp perf ndr chk daily
+      job
+          name
+              csit-vpp-perf-ndrchk-daily
+          trigger
+              daily
+      perf test-cases selection
+          all CSIT perf suites
+      default tags for vpp startup config and perf test type
+          1T1C - one worker thread, one core
+          2T2C - two worker threads, two cores
+      results
+          jjb verify
+              PASS/FAIL
+          present
+              no
+          analyse
+              csit project
+                  catch malfunctions
+                  catch degradations
+
+    project-type: freestyle
+    node: 'ubuntu1604-basebuild-4c-4g'
+    concurrent: false
+
+    logrotate:
+        daysToKeep: '{build-days-to-keep}'
+        numToKeep: '{build-num-to-keep}'
+        artifactDaysToKeep: '{build-artifact-days-to-keep}'
+        artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+
+    wrappers:
+      - fdio-infra-wrappers-non-activity-timeout:
+          build-timeout: '1440'
+
+    triggers:
+        - timed: 'H H(2-4) * * *'
+
+    builders:
+        - shell: 'echo "BRANCH_ID={branch-id}" > $WORKSPACE/variables.prop'
+        - inject:
+            properties-file: variables.prop
+        - shell:
+            !include-raw-escape: jjb/csit/include-raw-csit-vpp-perf-ndrchk-daily.sh
+
+    publishers:
+        - archive-artifacts:
+            artifacts: 'csit/archive/*.*'
+            latest-only: false
+
+        - robot-report:
+            output-path: 'csit/archive'
+
+        - fdio-infra-shiplogs:
+            maven-version: 'mvn33-new'
+
 - parameter:
     name: test-type-parameter
     parameters:
diff --git a/jjb/csit/include-raw-csit-vpp-perf-check.sh b/jjb/csit/include-raw-csit-vpp-perf-check.sh
new file mode 100644 (file)
index 0000000..775f78e
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+TRIGGER=`echo ${GERRIT_EVENT_COMMENT_TEXT} \
+    | grep -oE 'verify-perf-(ndrdisc|pdrdisc|ndrchk)' \
+    | awk '{print toupper($0)}'`
+export TEST_TAG=${TRIGGER}
+
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf.sh ]
+then
+    echo 'ERROR: No bootstrap-verify-perf.sh found'
+    exit 1
+fi
+
+# make sure that bootstrap-verify-perf.sh is executable
+chmod +x bootstrap-verify-perf.sh
+# run the script
+./bootstrap-verify-perf.sh
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-perf-ndrchk-daily.sh b/jjb/csit/include-raw-csit-vpp-perf-ndrchk-daily.sh
new file mode 100644 (file)
index 0000000..a4aead5
--- /dev/null
@@ -0,0 +1,54 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# check BRANCH_ID value
+if [ "$BRANCH_ID" == "" ]; then
+    echo "branch_id not provided => 'master' will be used"
+    BRANCH_ID="master"
+fi
+
+# make sure there is no csit directory
+if [ -d "./csit/" ]; then
+    rm -rf ./csit/
+fi
+
+# clone csit
+git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
+
+# if the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
+    exit 1
+fi
+
+cd csit
+
+# get the latest verified version of the required branch
+BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
+
+if [ "${BRANCH_NAME}" == "" ]; then
+    echo "No verified version found for requested branch - exiting"
+    exit 1
+fi
+
+# remove 'origin/' from the branch name
+BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
+
+# checkout to the required branch
+git checkout ${BRANCH_NAME}
+
+export TEST_TAG="PERFTEST_NDRCHK_DAILY"
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-verify-perf.sh ]
+then
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap-verify-perf.sh
+    # run the script
+    ./bootstrap-verify-perf.sh
+else
+    echo 'ERROR: No bootstrap-verify-perf.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-perf-trend-daily.sh b/jjb/csit/include-raw-csit-vpp-perf-trend-daily.sh
new file mode 100644 (file)
index 0000000..1c02a67
--- /dev/null
@@ -0,0 +1,54 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# check BRANCH_ID value
+if [ "$BRANCH_ID" == "" ]; then
+    echo "branch_id not provided => 'master' will be used"
+    BRANCH_ID="master"
+fi
+
+# make sure there is no csit directory
+if [ -d "./csit/" ]; then
+    rm -rf ./csit/
+fi
+
+# clone csit
+git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
+
+# if the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
+    exit 1
+fi
+
+cd csit
+
+# get the latest verified version of the required branch
+BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
+
+if [ "${BRANCH_NAME}" == "" ]; then
+    echo "No verified version found for requested branch - exiting"
+    exit 1
+fi
+
+# remove 'origin/' from the branch name
+BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
+
+# checkout to the required branch
+git checkout ${BRANCH_NAME}
+
+export TEST_TAG="PERFTEST_DAILY"
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-verify-perf.sh ]
+then
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap-verify-perf.sh
+    # run the script
+    ./bootstrap-verify-perf.sh
+else
+    echo 'ERROR: No bootstrap-verify-perf.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-perf-trend-semi-weekly.sh b/jjb/csit/include-raw-csit-vpp-perf-trend-semi-weekly.sh
new file mode 100644 (file)
index 0000000..972dfe6
--- /dev/null
@@ -0,0 +1,54 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# check BRANCH_ID value
+if [ "$BRANCH_ID" == "" ]; then
+    echo "branch_id not provided => 'master' will be used"
+    BRANCH_ID="master"
+fi
+
+# make sure there is no csit directory
+if [ -d "./csit/" ]; then
+    rm -rf ./csit/
+fi
+
+# clone csit
+git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
+
+# if the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+    echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
+    exit 1
+fi
+
+cd csit
+
+# get the latest verified version of the required branch
+BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
+
+if [ "${BRANCH_NAME}" == "" ]; then
+    echo "No verified version found for requested branch - exiting"
+    exit 1
+fi
+
+# remove 'origin/' from the branch name
+BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
+
+# checkout to the required branch
+git checkout ${BRANCH_NAME}
+
+export TEST_TAG="PERFTEST_SEMI_WEEKLY"
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-verify-perf.sh ]
+then
+    # make sure that bootstrap.sh is executable
+    chmod +x bootstrap-verify-perf.sh
+    # run the script
+    ./bootstrap-verify-perf.sh
+else
+    echo 'ERROR: No bootstrap-verify-perf.sh found'
+    exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :